Author: jfrederic.clere(a)jboss.com
Date: 2008-06-17 05:31:09 -0400 (Tue, 17 Jun 2008)
New Revision: 1703
Added:
trunk/build/unix/buildsrc.cluster.sh
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildsrc.rhel-httpd.sh
trunk/build/unix/package.list
Log:
Add mod_cluster.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-06-16 17:21:34 UTC (rev 1702)
+++ trunk/build/unix/build.sh 2008-06-17 09:31:09 UTC (rev 1703)
@@ -59,11 +59,13 @@
has_jk=false
has_iconv=false
has_expat=false
+has_cluster=false
build_api=false
build_zlib=false
build_iconv=false
build_expat=false
+build_cluster=false
has_cache=false
has_version=false
@@ -239,6 +241,12 @@
has_expat=true
expat_sversion="expat:$expat_type:$expat_version"
;;
+ cluster:*)
+ cluster_version=`echo "${arg}" | ${awk} -F':' '{print
$3}'`
+ cluster_type=`echo "${arg}" | ${awk} -F':' '{print
$2}'`
+ has_cluster=true
+ cluster_sversion="cluster:$cluster_type:$cluster_version"
+ export cluster_version
esac
fi
done
@@ -362,8 +370,12 @@
if $has_expat; then
echo "using expat: ${expat_version}"
fi
+if $has_cluster; then
+echo "using mod_cluster: ${cluster_version}"
+fi
export has_jk
+export has_cluster
export so_extension
export build_iconv
export build_expat
@@ -1079,6 +1091,7 @@
mkdir -p ${package_src_dir}/util
cp util/*.sh ${package_src_dir}/util
# TODO: Generate package list instead copying
+# XXX: The part below is fishy
cat > ${package_src_dir}/package.build << EOF
# THIS FILE WAS AUTOGENERATED BY `basename $0`
Added: trunk/build/unix/buildsrc.cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.cluster.sh (rev 0)
+++ trunk/build/unix/buildsrc.cluster.sh 2008-06-17 09:31:09 UTC (rev 1703)
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Copyright(c) 2008 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2007-06-01 18:00:27 +0200 (Fri, 01
Jun 2007) $"
+echo ""
+echo "Started : `date`"
+echo "Tag : $1"
+echo "Target : $2"
+echo "Destdir : $3"
+echo ""
+
+# parameters
+# $1: The tag to use something like 2.2.6 or trunk
+# $2: Directory where to put the sources.
+
+tag=$1
+dist=$2
+destdir=$3
+
+# we need something like:
+#
http://anonsvn.jboss.org/repos/jbossnative/trunk/mod_cluster/
+if [ "$tag" = "trunk" ]; then
+
URLBASE=http://anonsvn.jboss.org/repos/jbossnative/trunk/mod_cluster/
+else
+
URLBASE=http://anonsvn.jboss.org/repos/jbossnative/tag/${tag}/mod_cluster/
+fi
+
+(cd $package_src_dir/srclib
+svn co ${URLBASE} mod_cluster
+)
+if [ $? -ne 0 ]; then
+ echo "svn co ${URLBASE} mod_cluster FAILED"
+ exit 1
+fi
+
+#
+# Copy the files to httpd src.
+mkdir -p ${destdir}/modules/advertise
+mkdir -p ${destdir}/modules/mod_manager
+mkdir -p ${destdir}/modules/mod_slotmem
+cp -p $package_src_dir/srclib/mod_cluster/native/advertise/*
${destdir}/modules/advertise
+cp -p $package_src_dir/srclib/mod_cluster/native/mod_manager/*
${destdir}/modules/mod_manager
+cp -p $package_src_dir/srclib/mod_cluster/native/mod_slotmem/*
${destdir}/modules/mod_slotmem
+
+cp -p $package_src_dir/srclib/mod_cluster/native/include/* ${destdir}/modules/proxy
+cp -p $package_src_dir/srclib/mod_cluster/native/mod_proxy_cluster/mod_proxy_cluster.c
${destdir}/modules/proxy
+cp -p $package_src_dir/srclib/mod_cluster/native/mod_proxy_cluster/patch.txt
${destdir}/modules/proxy
+(cd ${destdir}/modules/proxy
+ patch -p0 < patch.txt
+)
Property changes on: trunk/build/unix/buildsrc.cluster.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-06-16 17:21:34 UTC (rev 1702)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-06-17 09:31:09 UTC (rev 1703)
@@ -119,6 +119,17 @@
fi
#
+# Add mod_cluster sources.
+if $has_cluster; then
+ ${build_top}/util/override.sh ${build_top}/buildsrc.cluster.sh ${cluster_version}
${package_src_dir} ${dirsources}
+ if [ $? -ne 0 ]; then
+ echo "buildsrc.cluster.sh failed"
+ exit 1
+ fi
+ cp ${build_top}/buildsrc.cluster.sh ${package_src_dir}
+fi
+
+#
# Copy the windows NMAKE files (and additional stuff).
dirnmake=${build_svn_root}/httpd/httpd-2.2/
if [ -d ${dirnmake} ]; then
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2008-06-16 17:21:34 UTC (rev 1702)
+++ trunk/build/unix/package.list 2008-06-17 09:31:09 UTC (rev 1703)
@@ -13,3 +13,4 @@
# httpd
jboss-httpd|0.0.1|2.2.8|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3
rhel-httpd|2.2.3-11.el5_1.3|httpd-2_2_3-11_el5_1_3|apr:r:apr-1_2_7-11|apu:r:apr-util-1_2_7-7_el5|api:v:1.2.1|ssl:r:openssl-0_9_8b-8_3_el5_0_2|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8
+rhel-httpd|2.2.3-11.el5_1.3|httpd-2_2_3-11_el5_1_3|apr:r:apr-1_2_7-11|apu:r:apr-util-1_2_7-7_el5|api:v:1.2.1|ssl:r:openssl-0_9_8b-8_3_el5_0_2|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk